# GetNIPBanks

***

**URI**: /GetNIPBanks

\
**HTTP Method**: GET

\
**Headers**:

* Accept: application/json
* Content-Type: application/json

**Response:**

{% tabs %}
{% tab title="200 Successful" %}

```javascript
{
  "banks": [
    {"bankCode": "090270", "bankName": "AB MICROFINANCE BANK"},
    {"bankCode": "070010", "bankName": "ABBEY MORTGAGE BANK"},
    {"bankCode": "090260", "bankName": "ABOVE ONLY MICROFINANCE BANK"},
    {"bankCode": "090197", "bankName": "ABU MICROFINANCE BANK"},
    {"bankCode": "000014", "bankName": "ACCESS BANK"},
    {"bankCode": "100013", "bankName": "ACCESS MOBILE"},
    {"bankCode": "000005", "bankName": "ACCESS(DIAMOND) BANK"},
    {"bankCode": "090134", "bankName": "ACCION MICROFINANCE BANK"},
    ...
  ],
  "responseMessage": "SUCCESS",
  "responseCode": "00"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```
{
  "requestSuccessful": false,
  "responseMessage": "Exception; Failed",
  "responseCode": "03"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```
{
  "requestSuccessful": false,
  "responseMessage": "Exception; Failed",
  "responseCode": "03"
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```
{
  "requestSuccessful": false,
  "responseMessage": "Exception; Failed",
  "responseCode": "03"
}
```

{% endtab %}
{% endtabs %}

***

### Sample Implementation

{% tabs %}
{% tab title="Curl" %}
{% code overflow="wrap" %}

```javascript
curl -X GET http://154.113.16.142:8882/postingrest/GetNIPBanks \
-H "Accept: application/json" \
-H "Content-Type: application/json"
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "http://154.113.16.142:8882/postingrest/GetNIPBanks"
headers = {"Accept": "application/json", "Content-Type": "application/json"}
response = requests.get(url, headers=headers)
print(response.json())
```

{% endtab %}

{% tab title="Java" %}

```java
import java.net.HttpURLConnection;
import java.net.URL;
import java.io.BufferedReader;
import java.io.InputStreamReader;

public class GetNIPBanks {
    public static void main(String[] args) throws Exception {
        URL url = new URL("http://154.113.16.142:8882/postingrest/GetNIPBanks");
        HttpURLConnection conn = (HttpURLConnection) url.openConnection();
        conn.setRequestMethod("GET");
        conn.setRequestProperty("Accept", "application/json");
        conn.setRequestProperty("Content-Type", "application/json");

        BufferedReader br = new BufferedReader(new InputStreamReader(conn.getInputStream(), "utf-8"));
        StringBuilder response = new StringBuilder();
        String responseLine;
        while ((responseLine = br.readLine()) != null) {
            response.append(responseLine.trim());
        }
        System.out.println(response.toString());
    }
}
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const fetch = require('node-fetch');

const url = 'http://154.113.16.142:8882/postingrest/GetNIPBanks';
const headers = {
    'Accept': 'application/json',
    'Content-Type': 'application/json'
};

fetch(url, {
    method: 'GET',
    headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
$url = "http://154.113.16.142:8882/postingrest/GetNIPBanks";
$headers = [
    "Accept: application/json",
    "Content-Type: application/json"
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
```

{% endtab %}

{% tab title="C#" %}

```csharp
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        using (var client = new HttpClient())
        {
            client.DefaultRequestHeaders.Add("Accept", "application/json");
            var response = await client.GetAsync("http://154.113.16.142:8882/postingrest/GetNIPBanks");
            var responseString = await response.Content.ReadAsStringAsync();
            Console.WriteLine(responseString);
        }
    }
}
```

{% endtab %}
{% endtabs %}

> The above command returns JSON structured like this:

```json
{
  "banks": [
    {"bankCode": "090270", "bankName": "AB MICROFINANCE BANK"},
    {"bankCode": "070010", "bankName": "ABBEY MORTGAGE BANK"},
    {"bankCode": "090260", "bankName": "ABOVE ONLY MICROFINANCE BANK"},
    {"bankCode": "090197", "bankName": "ABU MICROFINANCE BANK"},
    {"bankCode": "000014", "bankName": "ACCESS BANK"},
    {"bankCode": "100013", "bankName": "ACCESS MOBILE"},
    {"bankCode": "000005", "bankName": "ACCESS(DIAMOND) BANK"},
    {"bankCode": "090134", "bankName": "ACCION MICROFINANCE BANK"},
    ...
  ],
  "responseMessage": "SUCCESS",
  "responseCode": "00"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.providusbank.com/transfer-services/getnipbanks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
